// cs.cpp : Defines the class behaviors for the application.
//

#include "stdafx.h"
#include "cs.h"
#include "resset.h"
#include "modelset.h"
#include "compset.h"
#include "MainFrm.h"
#include "csDoc.h"
#include "csView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCsApp

BEGIN_MESSAGE_MAP(CCsApp, CWinApp)
	//{{AFX_MSG_MAP(CCsApp)
	ON_COMMAND(ID_APP_ABOUT, OnAppAbout)
	//}}AFX_MSG_MAP
	// Standard file based document commands
	ON_COMMAND(ID_FILE_NEW, CWinApp::OnFileNew)
	ON_COMMAND(ID_FILE_OPEN, CWinApp::OnFileOpen)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCsApp construction

CCsApp::CCsApp()
{
}

/////////////////////////////////////////////////////////////////////////////
// The one and only CCsApp object

CCsApp theApp;

/////////////////////////////////////////////////////////////////////////////
// CCsApp initialization

BOOL CCsApp::InitInstance()
{
	// Standard initialization

#ifdef _AFXDLL
	Enable3dControls();			// Call this when using MFC in a shared DLL
#else
	Enable3dControlsStatic();	// Call this when linking to MFC statically
#endif

	LoadStdProfileSettings();  // Load standard INI file options (including MRU)

	// Register document templates

	CSingleDocTemplate* pDocTemplate;
	pDocTemplate = new CSingleDocTemplate(
		IDR_MAINFRAME,
		RUNTIME_CLASS(CCsDoc),
		RUNTIME_CLASS(CMainFrame),       // main SDI frame window
		RUNTIME_CLASS(CCsView));
	AddDocTemplate(pDocTemplate);

//  our code starts here 
   if(WSAStartup(0x0101,&ws))
   {
	   MessageBeep(MB_ICONSTOP);
	   MessageBox(0,"Winsock couldn't be initialised !",AfxGetAppName(),0|1);
	   WSACleanup();
	   return FALSE;
	   
   }

//   our code ends here 
	// Parse command line for standard shell commands, DDE, file open
	CCommandLineInfo cmdInfo;
	ParseCommandLine(cmdInfo);

	// Dispatch commands specified on the command line
	if (!ProcessShellCommand(cmdInfo))
		return FALSE;

	return TRUE;
}

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	//{{AFX_DATA(CAboutDlg)
	enum { IDD = IDD_ABOUTBOX };
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CAboutDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	//{{AFX_MSG(CAboutDlg)
		// No message handlers
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
		// No message handlers
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

// App command to run the dialog
void CCsApp::OnAppAbout()
{
	CAboutDlg aboutDlg;
	aboutDlg.DoModal();
}

/////////////////////////////////////////////////////////////////////////////
// CCsApp commands



int CCsApp::ExitInstance() 
{
	// TODO: Add your specialized code here and/or call the base class

//  our code starts here 
	int error;  //used for getting error code returned from WSACleanup()
	char aa[100];
	if( ( error = WSACleanup() ) )
	{
		sprintf(aa,"Error Code Returned By WinSock =%d",error);
		::MessageBox(0,aa,AfxGetAppName(),0);
	}
//  our code ends here 
	
	return CWinApp::ExitInstance();
}
