// resset.cpp : implementation file
//

#include "stdafx.h"
#include "cs.h"
#include "resset.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// resset

IMPLEMENT_DYNAMIC(resset, CRecordset)

resset::resset(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(resset)
	m_NAME_COMP = _T("");
	m_MODEL = _T("");
	m_COST = 0.0;
	m_SPEED = 0.0;
	m_MILEAGE = 0.0;
	m_WEIGHT = 0.0;
	m_nFields = 6;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dynaset;
}


CString resset::GetDefaultConnect()
{
	return _T("ODBC;DSN=company");
}

CString resset::GetDefaultSQL()
{
	return _T("[MODEL]");
}

void resset::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(resset)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Text(pFX, _T("[NAME_COMP]"), m_NAME_COMP);
	RFX_Text(pFX, _T("[MODEL]"), m_MODEL);
	RFX_Double(pFX, _T("[COST]"), m_COST);
	RFX_Double(pFX, _T("[SPEED]"), m_SPEED);
	RFX_Double(pFX, _T("[MILEAGE]"), m_MILEAGE);
	RFX_Double(pFX, _T("[WEIGHT]"), m_WEIGHT);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// resset diagnostics

#ifdef _DEBUG
void resset::AssertValid() const
{
	CRecordset::AssertValid();
}

void resset::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
