// compset.cpp : implementation file
//

#include "stdafx.h"
#include "cs.h"
#include "compset.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// compset

IMPLEMENT_DYNAMIC(compset, CRecordset)

compset::compset(CDatabase* pdb)
	: CRecordset(pdb)
{
	//{{AFX_FIELD_INIT(compset)
	m_NAME_COMP = _T("");
	//m_CODE = _T("");
	m_nFields = 1;
	//}}AFX_FIELD_INIT
	m_nDefaultType = dynaset;
}


CString compset::GetDefaultConnect()
{
	return _T("ODBC;DSN=company");
}

CString compset::GetDefaultSQL()
{
	return _T("[COMPANY]");
}

void compset::DoFieldExchange(CFieldExchange* pFX)
{
	//{{AFX_FIELD_MAP(compset)
	pFX->SetFieldType(CFieldExchange::outputColumn);
	RFX_Text(pFX, _T("[NAME_COMP]"), m_NAME_COMP);
	//RFX_Text(pFX, _T("[CODE]"), m_CODE);
	//}}AFX_FIELD_MAP
}

/////////////////////////////////////////////////////////////////////////////
// compset diagnostics

#ifdef _DEBUG
void compset::AssertValid() const
{
	CRecordset::AssertValid();
}

void compset::Dump(CDumpContext& dc) const
{
	CRecordset::Dump(dc);
}
#endif //_DEBUG
